%Determina si un punto P = (x,y) esta dentro de los recintos 
%de puntos definidos en X e Y
function b = esta_dentro(X,Y,P)      %cuando se ejecute la funcion quedara guardado en "b" un true o un false
    minx = X(1);                     %se guarda en minx el primer valor del vector X (que es el que guarda los valores de x en cada punto)
    maxx = X(length(X));             %se guarda en maxx el ultimo valor del vector X (que es el que guarda los valores de x en cada punto); length(X), calcula el numero de puntos de un vector dado
    miny = Y(1);                     %se guarda en miny el primer valor del vector Y (que es el que guarda los valores de y en cada punto)
    maxy = Y(length(Y));             %se guarda en maxy el ultimo valor del vector y (que es el que guarda los valores de y en cada punto)

    if P(1) >= minx && P(1) <= maxx && P(2) >= miny && P(2) <= maxy  %se evalua el punto, guardado en el vector P (P=[XO,YO]), y se devuelve  
        b = true;                                                    %un true si esta dentro de los limites y un false si no lo esta 
    else
        b = false;
    end
return;

