
function g = calcula_gradiente(X,Y,Z,x,y)

%Determinamos el cuadrante en donde se encuentra el punto
[i,j] = cuadrante(X,Y,x,y);

%Asumimos que delta es constante en cada eje del mayado
Dx = X(2) - X(1);
Dy = Y(2) - Y(1);

%g = grad f(x,y)
g(1) = (EvaluaZ(X,Y,Z,X(i+1),y) - EvaluaZ(X,Y,Z,X(i),y)) / Dx; %hacemos la derivada como la tangente = (distacia en Z correspondiente a los indices de las "x", dejando la "y" cte)/(distancia en x)
g(2) = (EvaluaZ(X,Y,Z,x,Y(j+1)) - EvaluaZ(X,Y,Z,x,Y(j))) / Dy; %hacemos la derivada como la tangente = (distacia en Z correspondiente a los indices de las "y", dejando la "x" cte)/(distancia en y)
%se guarda en un vector de tamao 2 que guarda la derivada de cada una de las variables
return;
